Page MenuHomeFreeBSD

bnxt: Update man page with newly supported devices, options, ect
ClosedPublic

Authored by bhargava.marreddy_broadcom.com on Jan 19 2018, 12:32 PM.

Details

Summary

update man page with

  • Newly supported devices
  • Newly added options
  • 'maintained by' Email ID
Test Plan

verified using 'man bnxt' command, o/p looks good

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This revision is now accepted and ready to land.Jan 19 2018, 6:02 PM
bnxt.4
81–85 ↗(On Diff #38201)

These are all the same number. Is that intentional?

97 ↗(On Diff #38201)

I don't think Broadcom should be repeated.

99 ↗(On Diff #38201)

These are no longer sorted by BCM number. Perhaps they should be?

Stephen Hurd did do a fair bit on this driver, so shouldn't have his name removed. :-)

bnxt.4
247 ↗(On Diff #38201)

.An Jack Vogel Aq Mt jfvogel@gmail.com , and
.An Stephen Hurd Aq Mt shurd@freebsd.org ,

bhargava.marreddy_broadcom.com added inline comments.
bnxt.4
81–85 ↗(On Diff #38201)

Yes, that is intentional as device IDs (also speeds) are different.

97 ↗(On Diff #38201)

I'll fix it.

99 ↗(On Diff #38201)

Sure, let me sort it and resubmit.

247 ↗(On Diff #38201)

Sure, let me modify and resubmit.

bhargava.marreddy_broadcom.com marked 3 inline comments as done.

Taken care of all review comments.

This revision now requires review to proceed.Feb 6 2018, 12:24 PM
bnxt.4
247 ↗(On Diff #38201)

Stephen,

It looks like this now, can you please review.

AUTHORS

The bnxt driver was written by Jack Vogel <jfvogel@gmail.com> and Stephen
Hurd <shurd@freebsd.org>, and is currently maintained by Broadcom Limited
<freebsd.pdl@broadcom.com>.

This revision is now accepted and ready to land.Feb 8 2018, 8:13 PM
This revision was automatically updated to reflect the committed changes.